
///////////////////////////////////////////////////////////////////////////////
// Copyright 1995 by Potomac Software, Inc. Use of this material is subject to
// the terms and conditions of the software license agreement.

#ifndef __HTMLPAVB_H__
#define __HTMLPAVB_H__

#include <windows.h> 

#ifdef __cplusplus 
extern "C" {
#endif 

///////////////////////////////////////////////////////////////////////////////
// VB HTML Parser action APIs.

LONG WINAPI actionHtmlParseFile(LPCSTR lpszFile,WORD wOptions);
LONG WINAPI actionHtmlParseBuf(LPCSTR lpszBuf,WORD wOptions);
LONG WINAPI actionHtmlEndParse();

LONG WINAPI actionHtmlEnumParseTree(USHORT nEnumID);

LONG WINAPI actionHtmlGetChild(LONG lElement);
LONG WINAPI actionHtmlGetParent(LONG lElement);
LONG WINAPI actionHtmlGetSibling(LONG lElement,WORD wRel);

LONG WINAPI actionHtmlGetElementType(LONG lElement);
LONG WINAPI actionHtmlGetElementText(LONG lElement);

LONG WINAPI actionHtmlGetTextAttr(LONG lElement);

LONG WINAPI actionHtmlGetTagName(LONG lElement);
LONG WINAPI actionHtmlGetTagType(LONG lElement);              

LONG WINAPI actionHtmlGetTagAttr(LONG lElement,LONG lTagAttr);
LONG WINAPI actionHtmlExtractTagAttr(LONG lElement,LPCSTR lpszAttr);

LONG WINAPI actionHtmlFindText(LONG lElement,LPCSTR lpszText);
LONG WINAPI actionHtmlFindSpecial(LONG lElement,LPCSTR lpszSpecial);
LONG WINAPI actionHtmlFindComment(LONG lElement,LPCSTR lpszComment);

LONG WINAPI actionHtmlFindTagType(LONG lElement,UINT nType);
LONG WINAPI actionHtmlFindTagName(LONG lElement,LPCSTR lpszTag);
LONG WINAPI actionHtmlFindTagAttr(LONG lElement,UINT nType,LPCSTR lpszAttr,LPCSTR lpszValue);

LONG WINAPI actionHtmlEnumFindText(LONG lElement,LPCSTR lpszText,USHORT nEnumID);
LONG WINAPI actionHtmlEnumFindSpecial(LONG lElement,LPCSTR lpszSpecial,USHORT nEnumID);
LONG WINAPI actionHtmlEnumFindComment(LONG lElement,LPCSTR lpszComment,USHORT nEnumID);

LONG WINAPI actionHtmlEnumFindTagType(LONG lElement,UINT nType,USHORT nEnumID);
LONG WINAPI actionHtmlEnumFindTagName(LONG lElement,LPCSTR lpszTag,USHORT nEnumID);
LONG WINAPI actionHtmlEnumFindTagAttr(LONG lElement,UINT nType,LPCSTR lpszAttr,
	LPCSTR lpszValue,USHORT nEnumID);
	
LONG WINAPI actionHtmlCleanup();

///////////////////////////////////////////////////////////////////////////////
// VB Utility action APIs.
	
LONG WINAPI actionParseAbsoluteURL(LPCSTR lpszURL);

#ifdef __cplusplus 
}
#endif

#endif
